> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Zone Mappings

> Admin: paginated list of zone-to-geo-zone mappings, optionally filtered.



## OpenAPI

````yaml https://api.vellaro.io/openapi.json get /api/v1/admin/geo/zone-mappings
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/admin/geo/zone-mappings:
    get:
      tags:
        - admin:geo
      summary: List Zone Mappings
      description: 'Admin: paginated list of zone-to-geo-zone mappings, optionally filtered.'
      operationId: list_zone_mappings_api_v1_admin_geo_zone_mappings_get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 25
            title: Page Size
        - name: geo_zone_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Geo Zone Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_list_ZoneToGeoZoneOut__'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ApiResponse_list_ZoneToGeoZoneOut__:
      properties:
        data:
          anyOf:
            - items:
                $ref: '#/components/schemas/ZoneToGeoZoneOut'
              type: array
            - type: 'null'
          title: Data
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[list[ZoneToGeoZoneOut]]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ZoneToGeoZoneOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        country_id:
          type: string
          format: uuid
          title: Country Id
        zone_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Zone Id
        geo_zone_id:
          type: string
          format: uuid
          title: Geo Zone Id
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - country_id
        - zone_id
        - geo_zone_id
        - created_at
      title: ZoneToGeoZoneOut
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````